<?php

namespace Market\ZodacoBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Blogs
 */
class Blogs
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $u_id;

    /**
     * @var integer
     */
    private $c_id;

    /**
     * @var string
     */
    private $title;

    /**
     * @var string
     */
    private $short_details;

    /**
     * @var string
     */
    private $details;

    /**
     * @var integer
     */
    private $views;

    /**
     * @var integer
     */
    private $active;

    /**
     * @var \DateTime
     */
    private $createdAt;

    /**
     * @var \DateTime
     */
    private $updatedAt;

    /**
     * @var \Market\ZodacoBundle\Entity\Users
     */
    private $Users;

    /**
     * @var \Market\ZodacoBundle\Entity\BlogsCategories
     */
    private $BlogsCategories;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set u_id
     *
     * @param integer $uId
     * @return Blogs
     */
    public function setUId($uId)
    {
        $this->u_id = $uId;

        return $this;
    }

    /**
     * Get u_id
     *
     * @return integer 
     */
    public function getUId()
    {
        return $this->u_id;
    }

    /**
     * Set c_id
     *
     * @param integer $cId
     * @return Blogs
     */
    public function setCId($cId)
    {
        $this->c_id = $cId;

        return $this;
    }

    /**
     * Get c_id
     *
     * @return integer 
     */
    public function getCId()
    {
        return $this->c_id;
    }

    /**
     * Set title
     *
     * @param string $title
     * @return Blogs
     */
    public function setTitle($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * Get title
     *
     * @return string 
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Set short_details
     *
     * @param string $shortDetails
     * @return Blogs
     */
    public function setShortDetails($shortDetails)
    {
        $this->short_details = $shortDetails;

        return $this;
    }

    /**
     * Get short_details
     *
     * @return string 
     */
    public function getShortDetails()
    {
        return $this->short_details;
    }

    /**
     * Set details
     *
     * @param string $details
     * @return Blogs
     */
    public function setDetails($details)
    {
        $this->details = $details;

        return $this;
    }

    /**
     * Get details
     *
     * @return string 
     */
    public function getDetails()
    {
        return $this->details;
    }

    /**
     * Set views
     *
     * @param integer $views
     * @return Blogs
     */
    public function setViews($views)
    {
        $this->views = $views;

        return $this;
    }

    /**
     * Get views
     *
     * @return integer 
     */
    public function getViews()
    {
        return $this->views;
    }

    /**
     * Set active
     *
     * @param integer $active
     * @return Blogs
     */
    public function setActive($active)
    {
        $this->active = $active;

        return $this;
    }

    /**
     * Get active
     *
     * @return integer 
     */
    public function getActive()
    {
        return $this->active;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     * @return Blogs
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime 
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     * @return Blogs
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime 
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * Set Users
     *
     * @param \Market\ZodacoBundle\Entity\Users $users
     * @return Blogs
     */
    public function setUsers(\Market\ZodacoBundle\Entity\Users $users = null)
    {
        $this->Users = $users;

        return $this;
    }

    /**
     * Get Users
     *
     * @return \Market\ZodacoBundle\Entity\Users 
     */
    public function getUsers()
    {
        return $this->Users;
    }

    /**
     * Set BlogsCategories
     *
     * @param \Market\ZodacoBundle\Entity\BlogsCategories $blogsCategories
     * @return Blogs
     */
    public function setBlogsCategories(\Market\ZodacoBundle\Entity\BlogsCategories $blogsCategories = null)
    {
        $this->BlogsCategories = $blogsCategories;

        return $this;
    }

    /**
     * Get BlogsCategories
     *
     * @return \Market\ZodacoBundle\Entity\BlogsCategories 
     */
    public function getBlogsCategories()
    {
        return $this->BlogsCategories;
    }
}
